searchNodes=[{"doc":"Elixir introduces into the world of CS, the &quot;multiverse testing&quot; pattern. This is a pattern where tests are run concurrently and each test sees a shard of global state. Examples: Mox: each tests has access to the global module mock, sharded by the pid of the running test. Ecto: each test has access to a &quot;database sandbox&quot;, which is a checked out transaction on the global database that acts as its own database shard. Hound,Wallaby: each test generates an ID that is passed outside of the BEAM that is reintercepted on ingress to the BEAM; this ID is then used to reconnect to the parent test pid. This library implements Multiverses-aware versions of several constructs in the Elixir Standard Library which aren&#39;t natively Multiversable. Additional plugins will be provided for other systems, such as Phoenix.PubSub","ref":"Multiverses.html","title":"Multiverses","type":"module"},{"doc":"generates a &quot;link&quot; to current universe. If you pass the result of &quot;link&quot; to port/1, then it will bring the ported process into the universe of the process that called link/0","ref":"Multiverses.html#link/0","title":"Multiverses.link/0","type":"macro"},{"doc":"causes the current process to adopt the universe referred to by the result of a link/0 call.","ref":"Multiverses.html#port/1","title":"Multiverses.port/1","type":"macro"},{"doc":"identifies the universe of the current process.","ref":"Multiverses.html#self/0","title":"Multiverses.self/0","type":"macro"},{"doc":"","ref":"Multiverses.html#t:link/0","title":"Multiverses.link/0","type":"opaque"},{"doc":"This module is intended to be a drop-in replacement for Registry, though currently not all functionality is implemented.","ref":"Multiverses.Registry.html","title":"Multiverses.Registry","type":"module"},{"doc":"retrives all processes stored in the registry by their keys. If multiverses are activated, then this shards the registry by universe, and the caller will only be able to see processes in its universe.","ref":"Multiverses.Registry.html#all/1","title":"Multiverses.Registry.all/1","type":"macro"},{"doc":"retrives a process stored in the registry by its key. If multiverses are activated, then this shards the registry by universe, and the caller will only be able to see processes in its universe.","ref":"Multiverses.Registry.html#get/2","title":"Multiverses.Registry.get/2","type":"macro"},{"doc":"Registers the calling process with the Registry. Works as Registry.register/3 does. If multiverses have not been activated, then nil is placed as the registry value.","ref":"Multiverses.Registry.html#register/3","title":"Multiverses.Registry.register/3","type":"macro"}]